###--- >>> `eigen' <<<----- Spectral Decomposition of a Matrix

	## alias	 help(eigen)

##___ Examples ___:

eigen(cbind(c(1,-1),c(-1,1)))
eigen(cbind(c(1,-1),c(-1,1)), symmetric = FALSE)# same (different algorithm).

eigen(cbind(1,c(1,-1)), only.values = TRUE)
eigen(cbind(-1,2:1)) # complex values
eigen(print(cbind(c(0,1i), c(-1i,0))))# Hermite ==> real Eigen values
## 3 x 3:
eigen(cbind( 1,3:1,1:3))
eigen(cbind(-1,c(1:2,0),0:2)) # complex values

m <- matrix(rnorm(25),5,5) ; m <- m + t(m) #- a symmetric matrix
em <- eigen(m); V <- em$vect; lam <- em$values
all(c(    m     - V %*% diag(lam) %*% t(V)) < 60*.Machine$double.eps)
all(c(m %*% V - V %*% diag(lam))            < 60*.Machine$double.eps)

## Keywords: 'algebra', 'array'.


